/*

	mplayerplug-in

	License: GPL

	This file contains User Interface routines for the mplayerplug-in

*/

#include "mplayerplug-in.h"

void DrawUI(Widget w, NPP instance, char *message)
{

    GC black_gc, white_gc;
    XGCValues values;
    PluginInstance *This;
    const char *id = "mplayerplug-in";

    This = (PluginInstance *) instance->pdata;
    if (DEBUG) {
	printf("Widget: %i\n", w);
	printf("Message: %s\n", message);
    }

    if (w == NULL)
	return;
    if (This->state < STATE_READY)
	return;
    if (message == NULL)
        return;

    sprintf(This->lastmessage,"%s",message);

    values.foreground =
	BlackPixel((Display *) This->display,
		   DefaultScreen((Display *) This->display));
    black_gc =
	XCreateGC((Display *) This->display, This->window, GCForeground,
		  &values);
    values.foreground =
	WhitePixel((Display *) This->display,
		   DefaultScreen((Display *) This->display));
    white_gc =
	XCreateGC((Display *) This->display, This->window, GCForeground,
		  &values);


    XFillRectangle((Display *) This->display, This->window, white_gc, 0, 0,
		   This->width, This->height);
    if (This->height > 50) {
        XDrawString((Display *) This->display, This->window, black_gc, 10, 20,
		id, strlen(id));
        XDrawString((Display *) This->display, This->window, black_gc, 10, 40,
		message, strlen(message));
    } else {
        XDrawString((Display *) This->display, This->window, black_gc, 10, 15,
		message, strlen(message));
    }

    XFreeGC((Display *) This->display, black_gc);
    XFreeGC((Display *) This->display, white_gc);

    XFlush((Display *) This->display);
    usleep(100);
}
